#!/usr/bin/env bash
# This script was created by gmakegentest.py



# PATH for DLLs on windows
PATH="$PATH":"/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/lib"

exec='../ex27'
testname='runex27_4a_lsqr_hdf5'
label='ksp_ksp_tutorials-ex27_4a_lsqr_hdf5'
runfiles=''
wPETSC_DIR='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_arch='arch-linux-c-debug'
# Must be consistent with gmakefile.test
testlogtapfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_tap.log
testlogerrfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_err.log
config_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/config'
filter=''
filter_output=''
petsc_bindir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/lib/petsc/bin'
DATAFILESPATH=${DATAFILESPATH:-""}
args='-f ${DATAFILESPATH}/matrices/matlab/rectangular_ultrasound_4889x841.mat -hdf5 -ksp_converged_reason -ksp_monitor_short -ksp_rtol 1e-5 -ksp_max_it 100 -ksp_type lsqr'
diff_args=''
timeoutfactor=1
export PETSC_OPTIONS=" -check_pointer_intensity 0 -error_output_stdout -malloc_dump -use_gpu_aware_mpi 0 -nox -nox_warning"

mpiexec=${PETSCMPIEXEC:-"mpiexec --oversubscribe"}
diffexec=${PETSCDIFF:-"${petsc_bindir}/petscdiff"}

. "${config_dir}/petsc_harness.sh"

# The diff flags come from script arguments
diff_exe="${diffexec} ${diff_flags} ${diff_args}"
mpiexec="${mpiexec} ${mpiexec_flags}"



if ! $force; then
    petsc_report_tapoutput "" "${label}" "SKIP Requires DATAFILESPATH, PETSC_HAVE_HDF5 requirement not met, Required: defined(PETSC_HDF5_HAVE_ZLIB)"
    total=1; skip=1
    petsc_testend "/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests" 
    exit
fi


nsize_in=${nsize:-1 2 4 8}
test_custom_layout_in=${test_custom_layout:-0 1}


for insize in ${nsize_in}; do
   for itest_custom_layout in ${test_custom_layout_in}; do

      petsc_testrun "${mpiexec} -n ${insize} ${exec} ${args}  -test_custom_layout ${itest_custom_layout}" ex27_4a_lsqr_hdf5.tmp ${testname}.err "${label}+nsize-${insize}test_custom_layout-${itest_custom_layout}" 
      res=$?

      if test $res = 0; then
         petsc_testrun "${diff_exe} /workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/src/ksp/ksp/tutorials/output/ex27_4a_lsqr_hdf5.out ex27_4a_lsqr_hdf5.tmp" diff-${testname}.out diff-${testname}.out diff-${label}+nsize-${insize}test_custom_layout-${itest_custom_layout} ""
      else
         petsc_report_tapoutput "" ${label} "SKIP Command failed so no diff"
      fi

   done
done

petsc_testend "/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests" 
