#!/usr/bin/env bash
# This script was created by gmakegentest.py



# PATH for DLLs on windows
PATH="$PATH":"/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/lib"

exec='../ex43'
testname='runex43_nested_gmg'
label='ksp_ksp_tutorials-ex43_nested_gmg'
runfiles=''
wPETSC_DIR='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_arch='arch-linux-c-debug'
# Must be consistent with gmakefile.test
testlogtapfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_tap.log
testlogerrfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_err.log
config_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/config'
filter=''
filter_output=''
petsc_bindir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/lib/petsc/bin'
DATAFILESPATH=${DATAFILESPATH:-""}
args='-stokes_pc_fieldsplit_off_diag_use_amat -mx 16 -my 16 -stokes_ksp_type fgmres -stokes_pc_type fieldsplit -stokes_fieldsplit_u_pc_type mg -stokes_fieldsplit_u_pc_mg_levels 5 -stokes_fieldsplit_u_pc_mg_galerkin pmat -stokes_fieldsplit_u_ksp_type cg -stokes_fieldsplit_u_ksp_rtol 1.0e-4 -stokes_fieldsplit_u_mg_levels_pc_type jacobi -solcx_eta0 1.0e4 -stokes_fieldsplit_u_ksp_converged_reason -stokes_ksp_converged_reason -stokes_fieldsplit_p_sub_pc_factor_zeropivot 1.e-8'
diff_args=''
timeoutfactor=1
export PETSC_OPTIONS=" -check_pointer_intensity 0 -error_output_stdout -malloc_dump -use_gpu_aware_mpi 0 -nox -nox_warning"

mpiexec=${PETSCMPIEXEC:-"mpiexec --oversubscribe"}
diffexec=${PETSCDIFF:-"${petsc_bindir}/petscdiff"}

. "${config_dir}/petsc_harness.sh"

# The diff flags come from script arguments
diff_exe="${diffexec} ${diff_flags} ${diff_args}"
mpiexec="${mpiexec} ${mpiexec_flags}"





nsize_in=${nsize:-4}


for insize in ${nsize_in}; do

   petsc_testrun "${mpiexec} -n ${insize} ${exec} ${args} " ex43_nested_gmg.tmp ${testname}.err "${label}" 
   res=$?

   if test $res = 0; then
      petsc_testrun "${diff_exe} /workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/src/ksp/ksp/tutorials/output/ex43_nested_gmg.out ex43_nested_gmg.tmp" diff-${testname}.out diff-${testname}.out diff-${label} ""
   else
      petsc_report_tapoutput "" ${label} "SKIP Command failed so no diff"
   fi

done

petsc_testend "/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests" 
