#!/usr/bin/env bash
# This script was created by gmakegentest.py



# PATH for DLLs on windows
PATH="$PATH":"/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/lib"

exec='../ex72'
testname='runex72_9_matload_block_size-3_d'
label='ksp_ksp_tutorials-ex72_9_matload_block_size-3_d'
runfiles=''
wPETSC_DIR='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_arch='arch-linux-c-debug'
# Must be consistent with gmakefile.test
testlogtapfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_tap.log
testlogerrfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_err.log
config_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/config'
filter=''
filter_output=''
petsc_bindir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/lib/petsc/bin'
DATAFILESPATH=${DATAFILESPATH:-""}
args='-f0 ${DATAFILESPATH}/matrices/medium -viewer_binary_skip_info -ksp_max_it 100 -ksp_gmres_cgs_refinement_type refine_always -ksp_rtol 1.0e-15 -ksp_monitor_short -matload_block_size 3 -mat_type mpibaij -trans'
diff_args=''
timeoutfactor=1
export PETSC_OPTIONS=" -check_pointer_intensity 0 -error_output_stdout -malloc_dump -use_gpu_aware_mpi 0 -nox -nox_warning"

mpiexec=${PETSCMPIEXEC:-"mpiexec --oversubscribe"}
diffexec=${PETSCDIFF:-"${petsc_bindir}/petscdiff"}

. "${config_dir}/petsc_harness.sh"

# The diff flags come from script arguments
diff_exe="${diffexec} ${diff_flags} ${diff_args}"
mpiexec="${mpiexec} ${mpiexec_flags}"

if ! $force; then
    petsc_report_tapoutput "" "${label}" "TODO Matrix row/column sizes are not compatible with block size"
    total=1; todo=1
    petsc_testend "/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests" 
    exit
fi


if ! $force; then
    if test -z "${DATAFILESPATH}"; then
        petsc_report_tapoutput "" "${label}" "SKIP Requires DATAFILESPATH"
        total=1; skip=1
        petsc_testend "/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests" 
        exit
    fi
fi


nsize_in=${nsize:-2}


for insize in ${nsize_in}; do

   petsc_testrun "${mpiexec} -n ${insize} ${exec} ${args} " ex72_9_matload_block_size-3_d.tmp ${testname}.err "${label}" 
   res=$?

   if test $res = 0; then
      petsc_testrun "${diff_exe} /workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/src/ksp/ksp/tutorials/output/ex72_9_matload_block_size-3_d.out ex72_9_matload_block_size-3_d.tmp" diff-${testname}.out diff-${testname}.out diff-${label} ""
   else
      petsc_report_tapoutput "" ${label} "SKIP Command failed so no diff"
   fi

done

petsc_testend "/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests" 
