#!/usr/bin/env bash
# This script was created by gmakegentest.py



# PATH for DLLs on windows
PATH="$PATH":"/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/lib"

exec='../ex76'
testname='runex76_fgmres_geneo_20_p_2_geneo_algebraic'
label='ksp_ksp_tutorials-ex76_fgmres_geneo_20_p_2_geneo_algebraic'
runfiles=''
wPETSC_DIR='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_arch='arch-linux-c-debug'
# Must be consistent with gmakefile.test
testlogtapfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_tap.log
testlogerrfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_err.log
config_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/config'
filter=''
filter_output=''
petsc_bindir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/lib/petsc/bin'
DATAFILESPATH=${DATAFILESPATH:-""}
args='-ksp_converged_reason -pc_type hpddm -pc_hpddm_levels_1_sub_pc_type cholesky -pc_hpddm_levels_1_eps_nev 20 -pc_hpddm_levels_2_p 2 -pc_hpddm_levels_2_sub_pc_type cholesky -pc_hpddm_levels_2_ksp_type gmres -ksp_type fgmres -load_dir ${DATAFILESPATH}/matrices/hpddm/GENEO -pc_hpddm_levels_2_st_pc_type mat'
diff_args=''
timeoutfactor=1
export PETSC_OPTIONS=" -check_pointer_intensity 0 -error_output_stdout -malloc_dump -use_gpu_aware_mpi 0 -nox -nox_warning"

mpiexec=${PETSCMPIEXEC:-"mpiexec --oversubscribe"}
diffexec=${PETSCDIFF:-"${petsc_bindir}/petscdiff"}

. "${config_dir}/petsc_harness.sh"

# The diff flags come from script arguments
diff_exe="${diffexec} ${diff_flags} ${diff_args}"
mpiexec="${mpiexec} ${mpiexec_flags}"



if ! $force; then
    petsc_report_tapoutput "" "${label}" "SKIP PETSC_HAVE_HPDDM requirement not met, PETSC_HAVE_SLEPC requirement not met, Requires DATAFILESPATH"
    total=1; skip=1
    petsc_testend "/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests" 
    exit
fi


nsize_in=${nsize:-4}
pc_hpddm_levels_2_mat_type_in=${pc_hpddm_levels_2_mat_type:-baij sbaij}
pc_hpddm_levels_2_eps_nev_in=${pc_hpddm_levels_2_eps_nev:-5 20}
pc_hpddm_coarse_mat_type_in=${pc_hpddm_coarse_mat_type:-baij sbaij}


for insize in ${nsize_in}; do
   for ipc_hpddm_levels_2_mat_type in ${pc_hpddm_levels_2_mat_type_in}; do
      for ipc_hpddm_levels_2_eps_nev in ${pc_hpddm_levels_2_eps_nev_in}; do
         for ipc_hpddm_coarse_mat_type in ${pc_hpddm_coarse_mat_type_in}; do

            petsc_testrun "${mpiexec} -n ${insize} ${exec} ${args}  -pc_hpddm_levels_2_mat_type ${ipc_hpddm_levels_2_mat_type} -pc_hpddm_levels_2_eps_nev ${ipc_hpddm_levels_2_eps_nev} -pc_hpddm_coarse_mat_type ${ipc_hpddm_coarse_mat_type}" ex76_fgmres_geneo_20_p_2_geneo_algebraic.tmp ${testname}.err "${label}+pc_hpddm_levels_2_mat_type-${ipc_hpddm_levels_2_mat_type}_pc_hpddm_levels_2_eps_nev-${ipc_hpddm_levels_2_eps_nev}_pc_hpddm_coarse_mat_type-${ipc_hpddm_coarse_mat_type}" 
            res=$?

            if test $res = 0; then
               petsc_testrun "${diff_exe} /workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/src/ksp/ksp/tutorials/output/ex76_fgmres_geneo_20_p_2.out ex76_fgmres_geneo_20_p_2_geneo_algebraic.tmp" diff-${testname}.out diff-${testname}.out diff-${label}+pc_hpddm_levels_2_mat_type-${ipc_hpddm_levels_2_mat_type}_pc_hpddm_levels_2_eps_nev-${ipc_hpddm_levels_2_eps_nev}_pc_hpddm_coarse_mat_type-${ipc_hpddm_coarse_mat_type} ""
            else
               petsc_report_tapoutput "" ${label} "SKIP Command failed so no diff"
            fi

         done
      done
   done
done

petsc_testend "/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests" 
