#!/usr/bin/env bash
# This script was created by gmakegentest.py



# PATH for DLLs on windows
PATH="$PATH":"/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/lib"

exec='../ex76'
testname='runex76_geneo_mumps_use_omp_threads_1'
label='ksp_ksp_tutorials-ex76_geneo_mumps_use_omp_threads_1'
runfiles=''
wPETSC_DIR='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_arch='arch-linux-c-debug'
# Must be consistent with gmakefile.test
testlogtapfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_tap.log
testlogerrfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_err.log
config_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/config'
filter='egrep -e "Linear solve" -e "      executing" | sed -e "s/MPI =      1/MPI =      2/g" -e "s/OMP =      1/OMP =      2/g"'
filter_output=''
petsc_bindir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/lib/petsc/bin'
DATAFILESPATH=${DATAFILESPATH:-""}
args='-ksp_converged_reason -pc_type hpddm -pc_hpddm_levels_1_sub_pc_type cholesky -pc_hpddm_levels_1_eps_nev 15 -pc_hpddm_levels_1_st_pc_type cholesky -load_dir ${DATAFILESPATH}/matrices/hpddm/GENEO -pc_hpddm_coarse_pc_factor_mat_solver_type mumps -pc_hpddm_coarse_mat_mumps_icntl_4 2'
diff_args=''
timeoutfactor=1
export PETSC_OPTIONS=" -check_pointer_intensity 0 -error_output_stdout -malloc_dump -use_gpu_aware_mpi 0 -nox -nox_warning"

mpiexec=${PETSCMPIEXEC:-"mpiexec --oversubscribe"}
diffexec=${PETSCDIFF:-"${petsc_bindir}/petscdiff"}

. "${config_dir}/petsc_harness.sh"

# The diff flags come from script arguments
diff_exe="${diffexec} ${diff_flags} ${diff_args}"
mpiexec="${mpiexec} ${mpiexec_flags}"



if ! $force; then
    petsc_report_tapoutput "" "${label}" "SKIP PETSC_HAVE_HPDDM requirement not met, PETSC_HAVE_SLEPC requirement not met, Requires DATAFILESPATH, PETSC_HAVE_MUMPS requirement not met, Required: defined(PETSC_HAVE_OPENMP_SUPPORT)"
    total=1; skip=1
    petsc_testend "/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests" 
    exit
fi


nsize_in=${nsize:-4}
pc_hpddm_coarse_mat_type_in=${pc_hpddm_coarse_mat_type:-baij sbaij}
pc_hpddm_coarse_p_in=${pc_hpddm_coarse_p:-1 2}
pc_hpddm_coarse_mat_mumps_use_omp_threads_in=${pc_hpddm_coarse_mat_mumps_use_omp_threads:-1 2}


for insize in ${nsize_in}; do
   for ipc_hpddm_coarse_mat_type in ${pc_hpddm_coarse_mat_type_in}; do
      for ipc_hpddm_coarse_p in ${pc_hpddm_coarse_p_in}; do
         for ipc_hpddm_coarse_mat_mumps_use_omp_threads in ${pc_hpddm_coarse_mat_mumps_use_omp_threads_in}; do

            petsc_testrun "${mpiexec} -n ${insize} ${exec} ${args}  -pc_hpddm_coarse_mat_type ${ipc_hpddm_coarse_mat_type} -pc_hpddm_coarse_p ${ipc_hpddm_coarse_p} -pc_hpddm_coarse_mat_mumps_use_omp_threads ${ipc_hpddm_coarse_mat_mumps_use_omp_threads}" ex76_geneo_mumps_use_omp_threads_1.tmp ${testname}.err "${label}+pc_hpddm_coarse_mat_type-${ipc_hpddm_coarse_mat_type}_pc_hpddm_coarse_p-${ipc_hpddm_coarse_p}_pc_hpddm_coarse_mat_mumps_use_omp_threads-${ipc_hpddm_coarse_mat_mumps_use_omp_threads}" 
            res=$?

            if test $res = 0; then
               petsc_testrun "${diff_exe} /workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/src/ksp/ksp/tutorials/output/ex76_geneo_mumps_use_omp_threads.out ex76_geneo_mumps_use_omp_threads_1.tmp" diff-${testname}.out diff-${testname}.out diff-${label}+pc_hpddm_coarse_mat_type-${ipc_hpddm_coarse_mat_type}_pc_hpddm_coarse_p-${ipc_hpddm_coarse_p}_pc_hpddm_coarse_mat_mumps_use_omp_threads-${ipc_hpddm_coarse_mat_mumps_use_omp_threads} ""
            else
               petsc_report_tapoutput "" ${label} "SKIP Command failed so no diff"
            fi

         done
      done
   done
done

petsc_testend "/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests" 
