#!/usr/bin/env bash
# This script was created by gmakegentest.py



# PATH for DLLs on windows
PATH="$PATH":"/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/lib"

exec='../ex221'
testname='runex221_rect'
label='mat_tests-ex221_rect'
runfiles=''
wPETSC_DIR='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_arch='arch-linux-c-debug'
# Must be consistent with gmakefile.test
testlogtapfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_tap.log
testlogerrfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_err.log
config_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/config'
filter=''
filter_output=''
petsc_bindir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/lib/petsc/bin'
DATAFILESPATH=${DATAFILESPATH:-""}
args='-loop 3'
diff_args=''
timeoutfactor=1
export PETSC_OPTIONS=" -check_pointer_intensity 0 -error_output_stdout -malloc_dump -use_gpu_aware_mpi 0 -nox -nox_warning"

mpiexec=${PETSCMPIEXEC:-"mpiexec --oversubscribe"}
diffexec=${PETSCDIFF:-"${petsc_bindir}/petscdiff"}

. "${config_dir}/petsc_harness.sh"

# The diff flags come from script arguments
diff_exe="${diffexec} ${diff_flags} ${diff_args}"
mpiexec="${mpiexec} ${mpiexec_flags}"





nsize_in=${nsize:-1 3}
keep_in=${keep:-0 1}
M_in=${M:-12 19}
N_in=${N:-19 12}
submat_in=${submat:-0 1}
test_axpy_different_in=${test_axpy_different:-0 1}


for insize in ${nsize_in}; do
   for ikeep in ${keep_in}; do
      for iM in ${M_in}; do
         for iN in ${N_in}; do
            for isubmat in ${submat_in}; do
               for itest_axpy_different in ${test_axpy_different_in}; do

                  petsc_testrun "${mpiexec} -n ${insize} ${exec} ${args}  -keep ${ikeep} -M ${iM} -N ${iN} -submat ${isubmat} -test_axpy_different ${itest_axpy_different}" ex221_rect.tmp ${testname}.err "${label}+nsize-${insize}keep-${ikeep}_M-${iM}_N-${iN}_submat-${isubmat}_test_axpy_different-${itest_axpy_different}" 
                  res=$?

                  if test $res = 0; then
                     petsc_testrun "${diff_exe} /workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/src/mat/tests/output/ex221_1.out ex221_rect.tmp" diff-${testname}.out diff-${testname}.out diff-${label}+nsize-${insize}keep-${ikeep}_M-${iM}_N-${iN}_submat-${isubmat}_test_axpy_different-${itest_axpy_different} ""
                  else
                     petsc_report_tapoutput "" ${label} "SKIP Command failed so no diff"
                  fi

               done
            done
         done
      done
   done
done

petsc_testend "/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests" 
