#!/usr/bin/env bash
# This script was created by gmakegentest.py



# PATH for DLLs on windows
PATH="$PATH":"/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/lib"

exec='../ex51'
testname='runex51_1'
label='mat_tests-ex51_1'
runfiles=''
wPETSC_DIR='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_arch='arch-linux-c-debug'
# Must be consistent with gmakefile.test
testlogtapfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_tap.log
testlogerrfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_err.log
config_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/config'
filter=''
filter_output=''
petsc_bindir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/lib/petsc/bin'
DATAFILESPATH=${DATAFILESPATH:-""}
args=''
diff_args=''
timeoutfactor=1
export PETSC_OPTIONS=" -check_pointer_intensity 0 -error_output_stdout -malloc_dump -use_gpu_aware_mpi 0 -nox -nox_warning"

mpiexec=${PETSCMPIEXEC:-"mpiexec --oversubscribe"}
diffexec=${PETSCDIFF:-"${petsc_bindir}/petscdiff"}

. "${config_dir}/petsc_harness.sh"

# The diff flags come from script arguments
diff_exe="${diffexec} ${diff_flags} ${diff_args}"
mpiexec="${mpiexec} ${mpiexec_flags}"





nsize_in=${nsize:-1}
mat_block_size_in=${mat_block_size:-1 2  5 7 8}
ov_in=${ov:-1 3}
mat_size_in=${mat_size:-11 13}
nd_in=${nd:-7}


for insize in ${nsize_in}; do
   for imat_block_size in ${mat_block_size_in}; do
      for iov in ${ov_in}; do
         for imat_size in ${mat_size_in}; do
            for ind in ${nd_in}; do

               petsc_testrun "${mpiexec} -n ${insize} ${exec} ${args}  -mat_block_size ${imat_block_size} -ov ${iov} -mat_size ${imat_size} -nd ${ind}" ex51_1.tmp ${testname}.err "${label}+mat_block_size-${imat_block_size}_ov-${iov}_mat_size-${imat_size}_nd-${ind}" 
               res=$?

               if test $res = 0; then
                  petsc_testrun "${diff_exe} /workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/src/mat/tests/output/ex51_1.out ex51_1.tmp" diff-${testname}.out diff-${testname}.out diff-${label}+mat_block_size-${imat_block_size}_ov-${iov}_mat_size-${imat_size}_nd-${ind} ""
               else
                  petsc_report_tapoutput "" ${label} "SKIP Command failed so no diff"
               fi

            done
         done
      done
   done
done

petsc_testend "/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests" 
