#!/usr/bin/env bash
# This script was created by gmakegentest.py



# PATH for DLLs on windows
PATH="$PATH":"/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/lib"

exec='../ex12'
testname='runex12_quad_hpddm_reuse'
label='snes_tutorials-ex12_quad_hpddm_reuse'
runfiles=''
wPETSC_DIR='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_arch='arch-linux-c-debug'
# Must be consistent with gmakefile.test
testlogtapfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_tap.log
testlogerrfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_err.log
config_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/config'
filter=''
filter_output=''
petsc_bindir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/lib/petsc/bin'
DATAFILESPATH=${DATAFILESPATH:-""}
args='-run_type full -dm_distribute -petscpartitioner_type simple -dm_plex_box_faces 7,5 -dm_refine 2 -dm_plex_simplex 0 -bc_type dirichlet -petscspace_degree 2 -ksp_type gmres -ksp_gmres_restart 100 -pc_type hpddm -snes_monitor_short -ksp_monitor_short -snes_converged_reason ::ascii_info_detail -ksp_converged_reason -snes_view -show_solution 0 -pc_type hpddm -pc_hpddm_levels_1_sub_pc_type lu -pc_hpddm_levels_1_eps_nev 4 -pc_hpddm_coarse_p 2 -pc_hpddm_coarse_pc_type redundant -ksp_rtol 1.e-1'
diff_args=''
timeoutfactor=1
export PETSC_OPTIONS=" -check_pointer_intensity 0 -error_output_stdout -malloc_dump -use_gpu_aware_mpi 0 -nox -nox_warning"

mpiexec=${PETSCMPIEXEC:-"mpiexec --oversubscribe"}
diffexec=${PETSCDIFF:-"${petsc_bindir}/petscdiff"}

. "${config_dir}/petsc_harness.sh"

# The diff flags come from script arguments
diff_exe="${diffexec} ${diff_flags} ${diff_args}"
mpiexec="${mpiexec} ${mpiexec_flags}"



if ! $force; then
    petsc_report_tapoutput "" "${label}" "SKIP PETSC_HAVE_HPDDM requirement not met, PETSC_HAVE_SLEPC requirement not met"
    total=1; skip=1
    petsc_testend "/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests" 
    exit
fi


nsize_in=${nsize:-4}


for insize in ${nsize_in}; do

   petsc_testrun "${mpiexec} -n ${insize} ${exec} ${args} " ex12_quad_hpddm_reuse.tmp ${testname}.err "${label}" 
   res=$?

   if test $res = 0; then
      petsc_testrun "${diff_exe} /workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/src/snes/tutorials/output/ex12_quad_hpddm_reuse.out ex12_quad_hpddm_reuse.tmp" diff-${testname}.out diff-${testname}.out diff-${label} ""
   else
      petsc_report_tapoutput "" ${label} "SKIP Command failed so no diff"
   fi

done

petsc_testend "/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests" 
