#!/usr/bin/env bash
# This script was created by gmakegentest.py



# PATH for DLLs on windows
PATH="$PATH":"/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/lib"

exec='../ex3'
testname='runex3_window'
label='vec_is_sf_tutorials-ex3_window'
runfiles=''
wPETSC_DIR='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16'
petsc_arch='arch-linux-c-debug'
# Must be consistent with gmakefile.test
testlogtapfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_tap.log
testlogerrfile=/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests/test_${petsc_arch}_err.log
config_dir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/config'
filter='grep -v "type" | grep -v "sort"'
filter_output=''
petsc_bindir='/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/lib/petsc/bin'
DATAFILESPATH=${DATAFILESPATH:-""}
args='-sf_type window'
diff_args=''
timeoutfactor=1
export PETSC_OPTIONS=" -check_pointer_intensity 0 -error_output_stdout -malloc_dump -use_gpu_aware_mpi 0 -nox -nox_warning"

mpiexec=${PETSCMPIEXEC:-"mpiexec --oversubscribe"}
diffexec=${PETSCDIFF:-"${petsc_bindir}/petscdiff"}

. "${config_dir}/petsc_harness.sh"

# The diff flags come from script arguments
diff_exe="${diffexec} ${diff_flags} ${diff_args}"
mpiexec="${mpiexec} ${mpiexec_flags}"





nsize_in=${nsize:-1}
sf_window_sync_in=${sf_window_sync:-fence active lock}
sf_window_flavor_in=${sf_window_flavor:-create allocate dynamic}


for insize in ${nsize_in}; do
   for isf_window_sync in ${sf_window_sync_in}; do
      for isf_window_flavor in ${sf_window_flavor_in}; do

         petsc_testrun "${mpiexec} -n ${insize} ${exec} ${args}  -sf_window_sync ${isf_window_sync} -sf_window_flavor ${isf_window_flavor}" ex3_window.tmp ${testname}.err "${label}+sf_window_sync-${isf_window_sync}_sf_window_flavor-${isf_window_flavor}" 
         res=$?

         if test $res = 0; then
            petsc_testrun "${diff_exe} /workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/src/vec/is/sf/tutorials/output/ex3_window.out ex3_window.tmp" diff-${testname}.out diff-${testname}.out diff-${label}+sf_window_sync-${isf_window_sync}_sf_window_flavor-${isf_window_flavor} ""
         else
            petsc_report_tapoutput "" ${label} "SKIP Command failed so no diff"
         fi

      done
   done
done

petsc_testend "/workspace/home/shenchao/qinluyao/yjb/shenchao/src/petsc-release-3.16/arch-linux-c-debug/tests" 
